﻿@page "/"
@page "/application-list"

<Title>来客申請一覧</Title>
<Link Rel="icon" Href="favicon2.ico" />

<MudGrid Class="mb-2">
    <PageTitle Title="来客申請一覧" />
    <MudSpacer />
    <MudFab Label="新規追加" Color="@Color.Primary" Size="Size.Small"
            Icon="@Icons.Material.Filled.Add" IconSize="@Size.Small"
            Link="@($"/application-detail/{ApplicationDetailMode.Create.Value}")" />
</MudGrid>

<MudGrid>
    <MudItem md="12">
        <MudPaper Class="d-flex flex-row pa-4" Style="height:100px;">
            <MudTextField Label="@searchItem.GetDisplayName(s => s.Purpose)" @bind-Value="searchItem.Purpose" Style="width:300px" />
            <MudFab Label="検索" Variant="Variant.Filled" Color="Color.Primary" Size="Size.Small"
                    Icon="@Icons.Material.Filled.Search" IconSize="@Size.Small"
                    OnClick="Search" />
            <MudFab Label="Excel" Size="Size.Small"
                    Icon="@Icons.Material.Filled.Download" IconSize="@Size.Small"
                    OnClick="DownloadFileExec_Excel" />
        </MudPaper>
    </MudItem>
    <MudItem md="12">
        <MudTable Items="applications" RowsPerPage="50" Dense="true" Striped="true">
            <HeaderContent>
                <MudTh>@tableHeader.GetDisplayName(h => h.Purpose)</MudTh>
                <MudTh>@tableHeader.GetDisplayName(h => h.FromDatetime)</MudTh>
                <MudTh>@tableHeader.GetDisplayName(h => h.ToDatetime)</MudTh>
                <MudTh>@tableHeader.GetDisplayName(h => h.ApplicationStatus)</MudTh>
                <MudTh>操作</MudTh>
            </HeaderContent>
            <RowTemplate>
                <MudTd DataLabel="Purpose">@context.Purpose</MudTd>
                <MudTd DataLabel="FromDatetime">@context.FromDatetime</MudTd>
                <MudTd DataLabel="ToDatetime">@context.ToDatetime</MudTd>
                <MudTd DataLabel="ApplicationStatus">@context.ApplicationStatus?.DisplayValue</MudTd>
                <MudTd DataLabel="Action">
                    <MudTooltip Text="照会">
                        <MudFab Color="@Color.Primary" Size="Size.Small"
                                Icon="@Icons.Material.Filled.ListAlt" IconSize="@Size.Small" />
                    </MudTooltip>
                    <MudTooltip Text="編集">
                        <MudFab Color="@Color.Primary" Size="Size.Small"
                                Icon="@Icons.Material.Filled.Edit" IconSize="@Size.Small"
                                Link="@($"/application-detail/{ApplicationDetailMode.Edit.Value}/{context.Id}")" />
                    </MudTooltip>
                    <MudTooltip Text="削除">
                        <MudFab Color="@Color.Primary" Size="Size.Small"
                                Icon="@Icons.Material.Filled.Delete" IconSize="@Size.Small"
                                Link="@($"/application-detail/{ApplicationDetailMode.Delete.Value}/{context.Id}")" />
                    </MudTooltip>
                </MudTd>
            </RowTemplate>
            <PagerContent>
                <MudTablePager />
            </PagerContent>
        </MudTable>
    </MudItem>
</MudGrid>